package sgc.portal.cw.cw1305.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0605.model.CW06050001U;
import sgc.portal.cw.cw1305.dto.CW13050001USearch;
import sgc.portal.cw.cw1305.model.CW13050001U;
import sgc.portal.cw.cw1305.persistence.CW13050001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW13050001UService {
    private final CW13050001UMapper mapper;

    public CW13050001UService(CW13050001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW13050001USearch search) {
        return mapper.getList(search);
    }
    
    @Transactional
    public void save(CW13050001U cW13050001U) {
    	mapper.save(cW13050001U);	
    }
    
    @Transactional
    public void del(CW13050001U cW13050001U) {
    	mapper.del(cW13050001U);	
    }
}
